Bug 377771 - Griffin powermate doesn't create /dev/input files
Griffin powermate doesn't create /dev/input files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 09:12 EST by Juha Tuomala
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.23.1-49.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-16 10:05:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juha Tuomala 2007-11-12 09:12:59 EST
Description of problem:

Griffin powermate usb input device does not create dev files
under /dev/input

Version-Release number of selected component (if applicable):
udev-116-3.fc8

How reproducible:

always.

Steps to Reproduce:
1. ls /dev/input
2. stick in powermate
3. ls /dev/input - no devices
  
Actual results:

Nov 12 15:13:29 pullo kernel: usb 3-2: USB disconnect, address 3
Nov 12 15:13:31 pullo kernel: usb 3-2: new low speed USB device using ohci_hcd 
and address 4
Nov 12 15:13:31 pullo kernel: usb 3-2: configuration #1 chosen from 1 choice
Nov 12 15:13:31 pullo kernel: input: Griffin PowerMate 
as /class/input/input110
Nov 12 15:13:31 pullo kernel: evdev: no more free evdev devices
Nov 12 15:13:31 pullo kernel: input: failed to attach handler evdev to device 
input110, error: -23
Nov 12 15:14:09 pullo kernel: usb 3-2: USB disconnect, address 4
Nov 12 15:14:36 pullo kernel: usb 2-3: new low speed USB device using ohci_hcd 
and address 3
Nov 12 15:14:37 pullo kernel: usb 2-3: configuration #1 chosen from 1 choice
Nov 12 15:14:37 pullo kernel: input: Griffin PowerMate 
as /class/input/input111
Nov 12 15:14:37 pullo kernel: evdev: no more free evdev devices
Nov 12 15:14:37 pullo kernel: input: failed to attach handler evdev to device 
input111, error: -23


Expected results:

a device file that could be read.

Additional info:

This used to work in fc6. selinux active although didn't see any errors from 
it.
Comment 1 Juha Tuomala 2007-11-12 09:14:56 EST
Bus 002 Device 003: ID 077d:0410 Griffin Technology PowerMate
Comment 2 Harald Hoyer 2007-11-12 10:10:14 EST
Nov 12 15:13:31 pullo kernel: evdev: no more free evdev devices

reassigning to kernel
Comment 3 Pete Zaitcev 2007-11-12 13:37:11 EST
Powermate is the one with big aluminum knob, isn't it? I have it.
I'll look at this, although not sure when.
Comment 4 Juha Tuomala 2007-11-12 14:17:25 EST
yep, that's it. 

http://www.griffintechnology.com/products/powermate/

I was writing a python script for kmix using kde dcop to alter my background 
noice level and now with f8 can't read it. 

I'm not sure is that important, but noticed that with fc6 that you can 
different bytes out of it depending do you rotate it (two directions), press 
it, or press+rotate it. Don't remember did it have 'double-click' separately.
Comment 5 Juha Tuomala 2007-11-12 14:18:58 EST
And a site note, should there be some udev rules for getting rights for it for 
console user?
Comment 6 Harald Hoyer 2007-11-13 03:09:59 EST
use hal and ACL for console user rights
Comment 7 Juha Tuomala 2007-11-16 10:05:04 EST
Doing some knob turning down here....

input]# cat event7
��=G����=G����=G�A��=G�A��=G 
���=G$���=G_���=Gb���=G����=G����=G����=G����=GZ��=G^��=G�;��=G�;��=G�Z��=G�Z��=Gz��=G▒z��=GV���=GY���=G����=G����=G����=G����=G���=G���=GR��=GU��=G�5��=G�5��=G�T��=G�T��=Gt��

# uname -a
Linux desk 2.6.23.1-49.fc8 #1 SMP Thu Nov 8 22:14:09 EST 2007 x86_64 x86_64 
x86_64 GNU/Linux

whatever whoever did, it works now, leave it as it is. :) Thanks 

Note You need to log in before you can comment on or make changes to this bug.